;; Pinaret - Static website generator
;; Copyright (C) 2016  Josep Portella Florit <hello@josep-portella.com>
;;
;; This program is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

#lang racket

(require "../system.rkt" "../command.rkt")

(command-line/defaults #:args (directory)
                       (make-directory* directory)
                       (current-directory directory))
(make-directory* (library-dir))
(make-directory* (input-dir))
(make-directory* (output-dir))
(unless (file-exists? customization-file)
  (with-output-to-file customization-file
    (λ () (display "#lang racket\n\n(require pinaret/custom)\n\n"))))
